Vinix· docs
API referenceCore APIEvents & NotificationsWebhooks

Create Webhooks

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
PUT
/accounts/{account_id}/webhooks

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/accounts/string/webhooks" \  -H "Content-Type: application/json" \  -d '{    "data": {      "hook": "string",      "name": "string",      "uri": "http://example.com"    }  }'
{
  "data": {
    "custom_data": {
      "property1": "string",
      "property2": "string"
    },
    "enabled": true,
    "format": "form-data",
    "hook": "string",
    "http_verb": "get",
    "include_internal_legs": true,
    "include_subaccounts": true,
    "name": "string",
    "retries": 2,
    "uri": "http://example.com"
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}